<?php

/**
 * @file
 * Administrative forms for the Node Link Style module.
 */

/**
 * Form constructor for the revert form.
 *
 * @ingroup forms
 */
function node_link_style_delete_item_form(&$form_state, stdClass $item, $name) {
  $form = array();

  $form['#node_link_style'] = array(
    'item' => $item,
    'name' => $name
  );

  $form['text'] = array(
    '#type' => 'markup',
    '#value' => '<p>' . t('Are you sure you want to remove the item %name as a styled link?.', array('%name' => $name)) . '</p>',
  );

  $form['actions']['submit'] = array(
    '#type' => 'submit',
    '#value' => t('Remove item'),
  );

  $path = 'admin/settings/node_link_style/list/' . $item->name . '/edit';
  $options = array('attributes' => array('title' => t('Go back to node link style configuration')));
  $form['actions']['cancel'] = array(
    '#type' => 'markup',
    '#value' => l(t('Cancel'), $path, $options),
  );

  $form['#submit'][] = 'node_link_style_delete_item_form_submit';

  return $form;
}

/**
 * Form submission handler for facetapi_revert_form_submit().
 */
function node_link_style_delete_item_form_submit($form, &$form_state) {
  $name = $form['#node_link_style']['name'];
  $item = $form['#node_link_style']['item'];

  // Removes item from the current search block configuration.
  if (isset($item->settings['links'][$name])) {
    $label = $item->settings['links'][$name]['label'];
    drupal_set_message(t('@label has been removed.', array('@label' => $label)));
    unset($item->settings['links'][$name]);
    ctools_export_crud_save('node_link_style', $item);
  }

  // Resirects back to current search block configuration page.
  $form_state['redirect'] = 'admin/settings/node_link_style/list/' . $item->name . '/edit';
}
